import 'package:list_extension/list_extension.dart';
import 'package:test/test.dart';

void main() {
  test('indices', () {
    final list = ['Jacob', 'Mia', 'Maria'];
    expect(list.indices, equals([0, 1, 2]));
  });

  group('lastIndex', () {
    test('length > 0', () {
      final list = ['Jacob', 'Mia', 'Maria'];
      expect(list.lastIndex, 2);
    });

    test('length == 0', () {
      final list = [];
      expect(list.lastIndex, 0);
    });
  });

  test('copy', () {
    final list = ['Jacob', 'Mia', 'Maria'];
    final copy = list.copy();

    expect(copy, isA<List<String>>());
    expect(list.hashCode != copy.hashCode, true);
  });
}
